Bug 140696 - web proxy automatic configuration nor auto-detection don't work
web proxy automatic configuration nor auto-detection don't work
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-24 04:33 EST by Victor Ashik
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 15:32:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Victor Ashik 2004-11-24 04:33:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
We are using WPAD in our network, it works with original Firefox 1.0
and 0.9.3 and does not work with Firefox from FC3.

Network sniffing shows that firefox requests WPAD DNS record for IPv6
and IPv4, receives one for IPv4, receives wpad.dat, but tries to go to
web sites directly after that.

Pointing Firefox to autodetection URL does not help too.

Here is our wpad.dat:

function FindProxyForURL(url, host) 
{ 
 if (shExpMatch(url, "https://*")) {
            return "DIRECT";
        }
 if (isInNet(myIpAddress(), "192.168.0.0", "255.255.255.0")) 
   return "PROXY 192.168.0.250:3128"; 
 else if (isInNet(myIpAddress(), "192.168.1.0", "255.255.255.0")) 
   return "PROXY 192.168.1.254:3128"; 
 else if (isInNet(myIpAddress(), "192.168.2.0", "255.255.255.0")) 
   return "PROXY 192.168.2.254:3128"; 
 else if (isInNet(myIpAddress(), "192.168.3.0", "255.255.255.0")) 
   return "PROXY 192.168.3.254:3128"; 

 else 
   return "DIRECT"; 
}

Version-Release number of selected component (if applicable):
firefox-1.0-2.fc3

How reproducible:
Always

Steps to Reproduce:
1. Setup firefox and httpd
2. Put our wpad.dat to /var/www/html
3. Add DNS A record wpad pointing to IP address of httpd
4. Set search suffix in /etc/resolv.conf on client corresponding to
DNS zone with wpad record
5. Set proxy autodetection in firefox
6. Restart firefox
7. Check how it connects to web sites
    

Additional info:
Comment 1 Matt Dainty 2005-08-29 10:46:13 EDT
I've just spent half an hour hitting my head against perhaps a similar problem
on FC4, in that using a .pac file either manually or automatically via WPAD
wouldn't work.

Problem turned out to be because /etc/hosts had the following entry:

127.0.0.1 machine.domain.com machine localhost.localdomain localhost

Therefore myIpAddress() always returns "127.0.0.1" so the isInNet() tests are
useless.

Editing /etc/hosts and removing the "machine*" entries forces the resolver to
use DNS which if configured correctly should give you a 'real' IP on your
network, or create a separate entry in /etc/hosts.

Adding "alert(myIPAddress());" to the top of your FindProxyForURL() function
should spew the IP address to the Javascript console in Firefox.
Comment 2 Matthew Miller 2006-07-10 17:16:57 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-31 15:32:06 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.